Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mortbay.jetty.client
Class Address

    java.lang.Object
      org.mortbay.jetty.client.Address

    public class Address

extends Object

Version:
  $Revision: 3753 $ $Date: 2008-10-13 07:55:20 -0500 (Mon, 13 Oct 2008) $

Constructor Summary
`Address(String host, int port)`

Method Summary
`boolean` | `equals(Object obj)`
`String` | `getHost()`
`int` | `getPort()`
`int` | `hashCode()`
`InetSocketAddress` | `toSocketAddress()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Address

    public Address(String host,
                   int port)

Method Detail

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### getHost

    public String getHost()

### getPort

    public int getPort()

### toSocketAddress

    public InetSocketAddress toSocketAddress()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2008 Mort Bay Consulting. All Rights Reserved.